# Tildeverse Gemini Proxy

This is a fork of [Wobbly](https://notabug.org/tinyrabbit/wobbly/), by
[ew0k](https://warmedal.se/~bjorn/). We've hacked on top of it to lay in
a prefer-color-scheme: dark theme and enhance some of the UI to allow for
browser button navigation. It has some intentional limitations to keep it sane
as a proxy and to prevent abuse.

This thing uses javascript extensively. If you don't like that I have excellent
news for you! There's this thing called Gemini that can help. :)

Original README below:

## Wobbly, the Web Browser Based Gemini Browser

This is a very basic browser for the gemini network protocol, implemented as a web service.

The frontend is a webpage designed to look like a simple browser window. It has
some javascript to make the experience smoother and reduce load on the backend.
It also has a startpage in geminispace.

The backend is a CGI script that takes a URL and fetches it over gemini,
parsing and transforming it into an HTML response which is then presented in
the browser's main window.

## Dependencies

The backend depends on `gemcall` and `gemtextparser`, available near this repository.

